| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::crit_in_place_EA_more_recent Class Reference
API

returns true if the EA of the first entry is more recent or equal to the one of the second entry More...

`#include <criterium.hpp>`

Inherits libdar::criterium, and libdar::criterium.

## Public Member Functions
| crit_in_place_EA_more_recent (const infinint &hourshift=0)
| crit_in_place_EA_more_recent (const crit_in_place_EA_more_recent &ref)=default
| crit_in_place_EA_more_recent (crit_in_place_EA_more_recent &&ref) noexcept=default
crit_in_place_EA_more_recent & | operator= (const crit_in_place_EA_more_recent &ref)=default
crit_in_place_EA_more_recent & | operator= (crit_in_place_EA_more_recent &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
| crit_in_place_EA_more_recent (const infinint &hourshift=0)
| crit_in_place_EA_more_recent (const crit_in_place_EA_more_recent &ref)=default
| crit_in_place_EA_more_recent (crit_in_place_EA_more_recent &&ref) noexcept=default
crit_in_place_EA_more_recent & | operator= (const crit_in_place_EA_more_recent &ref)=default
crit_in_place_EA_more_recent & | operator= (crit_in_place_EA_more_recent &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Private Attributes
infinint | x_hourshift

## Detailed Description

returns true if the EA of the first entry is more recent or equal to the one of the second entry

if no EA are present in 'to be added' or if it even not an inode true is returned. If 'in place' does not have EA or is even not an inode true is returned unless 'to be added' has EA present.

Note
  that the comparison is done on the ctime, EA may be just marked as saved in the archive of reference or be saved in the current archive, this does not have any impact on the comparison.

Definition at line 374 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## Constructor & Destructor Documentation

## ◆ crit_in_place_EA_more_recent() [1/2]

libdar::crit_in_place_EA_more_recent::crit_in_place_EA_more_recent | ( | const infinint & | hourshift = 0 | ) |
| inline

Definition at line 377 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## ◆ crit_in_place_EA_more_recent() [2/2]

libdar::crit_in_place_EA_more_recent::crit_in_place_EA_more_recent | ( | const infinint & | hourshift = 0 | ) |
| inline

Definition at line 377 of file src/libdar/criterium.hpp.

## Member Function Documentation

## ◆ clone() [1/2]

virtual criterium * libdar::crit_in_place_EA_more_recent::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 386 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

## ◆ clone() [2/2]

virtual criterium * libdar::crit_in_place_EA_more_recent::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 386 of file src/libdar/criterium.hpp.

## ◆ evaluate() [1/2]

virtual bool libdar::crit_in_place_EA_more_recent::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

## ◆ evaluate() [2/2]

virtual bool libdar::crit_in_place_EA_more_recent::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

## Member Data Documentation

## ◆ x_hourshift

infinint libdar::crit_in_place_EA_more_recent::x_hourshift
| private

Definition at line 389 of file dar64-2.8.3-win64/include/dar/criterium.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/criterium.hpp
- src/libdar/criterium.hpp